#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const index_1 = __importDefault(require("./index"));
// Need to use require here otherwise tsc will add the package.json to lib/
// eslint-disable-next-line @typescript-eslint/no-var-requires
const { version } = require('../package.json');
const program = new commander_1.Command();
program
    .version(version)
    .option('-i, --indent <number>', 'Number of spaces used for indentation', '4')
    .option('-m, --imports <boolean>', 'Add module imports to output', false)
    .option('-t, --html-alias <alias>', 'Optional alias to use in front of html tags')
    .option('-a, --html-attribute-alias <alias>', 'Optional alias to use in front of html attribute names')
    .option('-s, --svg-alias <alias>', 'Optional alias to use in front of svg tags')
    .option('-g, --svg-attribute-alias <alias>', 'Optional alias to use in front of svg attribute names')
    .parse(process.argv);
// const options = {
//   indent: program.indent,
//   htmlAlias: program.htmlAlias,
//   htmlAttributeAlias: program.htmlAttributeAlias,
//   svgAlias: program.svgAlias,
//   svgAttributeAlias: program.svgAttributeAlias,
//   imports: program.imports,
// }
const options = program.opts();
const main = () => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const result = yield (0, index_1.default)(program.args.join(''), options);
        process.stdout.write(result + '\n');
    }
    catch (err) {
        process.stdout.write(err + '\n');
        process.exit(1);
    }
});
main();
